package sample;

import java.util.List;

public class Main {

	public static void main(String[] args) {
		AttendanceService service = new AttendanceService();

		// 入力
		service.addPerson(new Person("大橋", true));
		service.addPerson(new Person("田中", false));
		service.addPerson(new Person("佐藤", true));

		List<Person> personList = service.getPersonList();
		Event event = new Event(personList);

		// 計算
		int okCount = event.calcOkCount();
		int total = event.getTotal();

		int percentage = event.calcPercentage();

		// 表示
		for (Person person: personList) {
			if (person.isOk()) {
				System.out.print("○");
			} else {
				System.out.print("×");
			}

			System.out.println(person.getName());
		}

		if (total > 0) {
			System.out.println("-------");
			System.out.println("合計" + total + "人");
			System.out.println("参加" + okCount + "人");
			System.out.println("参加率" + percentage + "%");
		} else {
			System.out.println("登録データがありません。");
		}
	}

}
