package sample;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;

public class AttendanceServiceTest {

	@Test
	public void testAddPerson_3person() throws Exception {
		AttendanceService service = new AttendanceService();

		service.addPerson(new Person("大橋", true));
		service.addPerson(new Person("田中", false));
		service.addPerson(new Person("佐藤", true));

		Event event = service.getEvent();

		List<Person> personList = event.getPersonList();
		assertThat(personList.size(), is(3));
		assertThat(personList.get(0).getName(), is("大橋"));
		assertThat(personList.get(0).isOk(), is(true));
		assertThat(personList.get(1).getName(), is("田中"));
		assertThat(personList.get(1).isOk(), is(false));
		assertThat(personList.get(2).getName(), is("佐藤"));
		assertThat(personList.get(2).isOk(), is(true));

	}

	@Test
	public void testAddPerson_noPerson() throws Exception {
		AttendanceService service = new AttendanceService();

		Event event = service.getEvent();
		List<Person> personList = event.getPersonList();

		assertThat(personList.size(), is(0));
	}

}
